> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workspace

> Update a workspace in an organization



## OpenAPI

````yaml PUT /workspaces/{workspace_id}
openapi: 3.0.0
info:
  description: API For SiftD Platform Intelligence Notebooks(SPIN)
  title: SPIN Server API
  contact: {}
  version: '1.0'
servers:
  - url: https://s-server-demo.siftd.ai/api
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace_id}:
    put:
      tags:
        - workspaces
      summary: Update a workspace
      description: Update a workspace in an organization
      parameters:
        - description: Organization ID
          name: org_id
          in: query
          required: true
          schema:
            type: string
        - description: Workspace ID
          name: workspace_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.Workspace'
        description: Workspace to update
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/models.Workspace'
        '400':
          description: Invalid workspace json
        '404':
          description: Workspace not found
        '500':
          description: Failed to update workspace
components:
  schemas:
    models.Workspace:
      description: >-
        A workspace within an organization.  All connections, notebooks, and
        sessions belong to a workspace.
      type: object
      properties:
        current_user_role:
          type: string
        name:
          type: string
        parent_workspace_id:
          type: string
        workspace_id:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````